import { ElementRef, NgZone } from '@angular/core';
export declare class InkBarComponent {
    private _elementRef;
    private _ngZone;
    constructor(_elementRef: ElementRef, _ngZone: NgZone);
    /**
     * Calculates the styles from the provided element in order to align the ink-bar to that element.
     * Shows the ink bar if previously set as hidden.
     * @param element
     */
    alignToElement(element: HTMLElement): void;
    /** Shows the ink bar. */
    show(): void;
    /** Hides the ink bar. */
    hide(): void;
    /**
     * Sets the proper styles to the ink bar element.
     * @param element
     */
    private _setStyles;
}
